concurrent_lru_cache.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "tbb_stddef.h"`
`#include <map>`
`#include <list>`
`#include <algorithm>`
`#include <utility>`
`#include "atomic.h"`
`#include "internal/_aggregator_impl.h"`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for concurrent_lru_cache.h:

Go to the source code of this file.

## Classes

class | tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >
struct | tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type
class | tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::handle_object
struct | tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::aggregator_operation
struct | tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::retrieve_aggregator_operation
struct | tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage_aggregator_operation

## Namespaces

| tbb
| The graph class.
| tbb::interface6

## Macros

#define | __TBB_concurrent_lru_cache_H_include_area

## Macro Definition Documentation

## __TBB_concurrent_lru_cache_H_include_area

#define __TBB_concurrent_lru_cache_H_include_area

Definition at line 20 of file concurrent_lru_cache.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.